<script lang="ts" setup>
import AppContainer from "../../components/AppContainer.vue";
import PageHeader from "@/components/PageHeader.vue";
import UnitCard from "../../components/UnitCard.vue";
import breakpoints from "@/scripts/breakpoints";
import { useRoute, useRouter } from "vue-router";

const router = useRouter();
const route = useRoute();
const isParentRoute = route.path.endsWith("/admin");
</script>

<template>
  <AppContainer>
    <template v-slot:header>
      <PageHeader
        description="Est-ce que ce bandeau est vraiment utile ?"
        title="RAATATATATTAAAAA !"
      />
    </template>
    <div v-if="isParentRoute" class="w-full">
      <div class="mt-5">
        <div class="my-5">
          <h2 class="text-2xl text-theme-text-darker">Gestion des unités</h2>
          <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3">
            <v-card @click="router.push(`/admin/unit-creation`)">
              <v-card-item>
                <h2 class="text-2xl">Création d'une unité</h2>
              </v-card-item>
            </v-card>
          </div>
        </div>
        <div class="my-5">
          <h2 class="text-2xl text-theme-text-darker">
            Gestion des utilisateurs
          </h2>
          <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 space-x-2">
            <v-card @click="router.push(`/admin/user-creation`)">
              <v-card-item>
                <h2 class="text-2xl">Création d'un compte local</h2>
              </v-card-item>
            </v-card>
          </div>
        </div>
      </div>
    </div>
    <div class="w-full">
      <router-view></router-view>
    </div>
  </AppContainer>
</template>

<style></style>
